Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vis.beans.events
Class PlotEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--vis.beans.events.PlotEvent

All Implemented Interfaces:
  java.io.Serializable

public class PlotEvent
extends java.util.EventObject

PlotEvent class. An event state class for Plot events.

Version:
  1.0
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `title`
`protected java.lang.Object` | `x`
`protected java.lang.String` | `xLabel`
`protected java.lang.String[]` | `xText`
`protected java.lang.Object` | `y`
`protected java.lang.String` | `yLabel`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PlotEvent(java.lang.Object obj, java.lang.Object data)`
`PlotEvent(java.lang.Object obj, java.lang.Object x, java.lang.Object y)`
`PlotEvent(java.lang.Object obj, java.lang.String[] x, java.lang.Object y)`

Method Summary
`java.lang.String` | `getTitle()`
`java.lang.String` | `getXLabel()`
`java.lang.String[]` | `getXTextValues()`
`java.lang.Object` | `getXValues()`
`java.lang.String` | `getYLabel()`
`java.lang.Object` | `getYValues()`
`void` | `setTitle(java.lang.String title)`
`void` | `setXLabel(java.lang.String xl)`
`void` | `setYLabel(java.lang.String yl)`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    protected java.lang.Object x

### y

    protected java.lang.Object y

### xText

    protected java.lang.String[] xText

### title

    protected java.lang.String title

### xLabel

    protected java.lang.String xLabel

### yLabel

    protected java.lang.String yLabel

Constructor Detail

### PlotEvent

    public PlotEvent(java.lang.Object obj,
                     java.lang.Object data)

### PlotEvent

    public PlotEvent(java.lang.Object obj,
                     java.lang.Object x,
                     java.lang.Object y)

### PlotEvent

    public PlotEvent(java.lang.Object obj,
                     java.lang.String[] x,
                     java.lang.Object y)

Method Detail

### getXValues

    public java.lang.Object getXValues()

### getYValues

    public java.lang.Object getYValues()

### getXTextValues

    public java.lang.String[] getXTextValues()

### setTitle

    public void setTitle(java.lang.String title)

### getTitle

    public java.lang.String getTitle()

### setXLabel

    public void setXLabel(java.lang.String xl)

### getXLabel

    public java.lang.String getXLabel()

### setYLabel

    public void setYLabel(java.lang.String yl)

### getYLabel

    public java.lang.String getYLabel()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD